Bug 198351 - [PATCH] security/opencryptoki: Replace deprecated des_ and fix LibreSSL build
Summary: [PATCH] security/opencryptoki: Replace deprecated des_ and fix LibreSSL build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: John Marino
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-03-06 12:03 UTC by Bernard Spil
Modified: 2016-09-13 01:29 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (hrs)


Attachments
svn diff for security/opencryptoki (10.59 KB, patch)
2015-03-06 12:03 UTC, Bernard Spil
no flags Details | Diff
Poudriere build log of security/opencryptoki (351.44 KB, text/plain)
2015-03-06 12:03 UTC, Bernard Spil
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2015-03-06 12:03:32 UTC
Created attachment 153893 [details]
svn diff for security/opencryptoki

security/opencryptoki uses a mix of deprecated des_ and new DES_ methods and types that were marked deprecated by OpenSSL 0.9.7 and will be removed in OpenSSL 1.1.0 . This patch replaces the des_ methods and types with their new DES_ counterparts.

This has been submitted to upstream here https://github.com/joylatten/opencryptoki/pull/115
Comment 1 Bernard Spil freebsd_committer 2015-03-06 12:03:58 UTC
Created attachment 153894 [details]
Poudriere build log of security/opencryptoki
Comment 2 Bernard Spil freebsd_committer 2015-04-05 15:14:24 UTC
Upstream feedback

Thanks. I will merge this commit into the official opencryptoki git tree on Sourceforge.
I will add a Signed-off-by: Bernard Spil spil.oss@gmail.com.
Comment 3 John Marino freebsd_committer 2016-09-12 23:25:33 UTC
I'm taking this over under the SSL blanket (it's been 1.5 years anyway)
Comment 4 John Marino freebsd_committer 2016-09-13 00:02:04 UTC
it seems these patches are obsolete.  I'm seeing a version update to 3.5 in May of this year.
Comment 5 commit-hook freebsd_committer 2016-09-13 01:28:38 UTC
A commit references this bug:

Author: marino
Date: Tue Sep 13 01:28:20 UTC 2016
New revision: 421968
URL: https://svnweb.freebsd.org/changeset/ports/421968

Log:
  security/opencryptoki: Fix build with LIbreSSL (old DES functions)

  The referenced PR is related but overcome by the import of the latest
  version of opencryptoki.

  PR:		198351
  Approved by:	SSL blanket

Changes:
  head/security/opencryptoki/Makefile
  head/security/opencryptoki/files/patch-usr_lib_pkcs11_common_sw__crypt.c